| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Digikam::AutotagsAssign Class Reference

## Public Member Functions
| AutotagsAssign (AutotagsScanSettings::ObjectDetectionModel model=AutotagsScanSettings::ObjectDetectionModel::YOLOV11NANO)
QList< QString > | generateTagsList (const DImg &inputImage)
QList< QString > | generateTagsList (const QImage &inputImage)
QList< QList< QString > > | generateTagsList (const QList< DImg > &inputImages, int batchSize) const
| Run in batch return the list of tags name corresponding to.
QList< QList< QString > > | generateTagsList (const QList< QString > &inputImagePaths, int batchSize) const
QList< QString > | generateTagsList (const QString &inputImagePath)
QList< QString > | getPredefinedTagsPath () const
cv::Mat | prepareForDetection (const DImg &inputImage) const
cv::Mat | prepareForDetection (const QImage &inputImage) const
std::vector< cv::Mat > | prepareForDetection (const QList< DImg > &inputImages, int batchSize) const
std::vector< cv::Mat > | prepareForDetection (const QList< QString > &inputImagePaths, int batchSize) const
cv::Mat | prepareForDetection (const QString &inputImagePath) const

## Member Function Documentation

## ◆ generateTagsList()

QList< QList< QString > > Digikam::AutotagsAssign::generateTagsList | ( | const QList< DImg > & | inputImages,
|  | int | batchSize
| ) |  | const

Note
  the batch size is fixed depending on the deep NN model we choose.